=== debian/changelog ===
cask-server (0.6.6+p24.04+vstable+git20251217.0111-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Dec 2025 01:11:45 +0000

cask-server (0.6.6-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 26 May 2023 13:28:18 +1000

cask-server (0.6.0-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 03 Mar 2023 10:08:09 +0000
