=== debian/changelog ===
cask-server (0.6.6+p24.04+vunstable+git20251217.0152-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Dec 2025 01:52:19 +0000
